/*
 * Fill in a registration form for MUIbase
 *
 * Borrowed from Petri Norldlund's register program.
 */

regform = 'RAM:regform'

csi='9b'x;f.slant=csi'3m'; f.bold=csi'1m'; f.norm=csi'0m'
			 f.black=csi'31m'; f.white=csi'32m'; f.blue=csi'33m'
			 f.lf = '0a'x; f.cls = csi'0;0H'csi'J'

options prompt f.white'> 'f.black

payment1  = "Cash (please don't send coins)"
payment2  = 'Eurocheque for 60 DEM or 30 EUR'
payment2a = '- you must write your card number on the back of the cheque'
payment3  = 'Money transfer of 60 DEM or 30 EUR to this account:'
payment3a = '- Deutsche Bank 24, Germany, BLZ 380 707 24'
payment3b = '- account number 314 726 100'
payment3c = '- include a copy of the receipt with this form'
payment4  = 'Postal Money Order'
payment4a = '- please mail or email this registration form to me'

cash1  = '$40 (US dollar)'
cash2  = '60 DEM (Deutsche Mark)'

delivery1 = 'by airmail on a 3.5" disk'
delivery2 = 'key-file emailed to you'

say f.white
say 'Welcome to the MUIbase registration form generator.'
say 'Now please answer all the questions. The registration form is written'
say 'to file 'f.bold''regform''f.norm''f.white'. You can abort by pressing CTRL-C. When'
say 'several lines are available for your answer, just hit ENTER on the'
say 'lines you don''t need.'
say f.black


/* User */
say 'What is your name?'
parse pull i_Name
say

say 'What is your full snailmail address (including country)? [5 lines available]'
i_Addr1 = GetLine(1)
i_Addr2 = GetLine(2)
i_Addr3 = GetLine(3)
i_Addr4 = GetLine(4)
i_Addr5 = GetLine(5)
say

say 'What is your Internet email address?'
parse pull i_Email
say

say 'Payment by:  1. 'payment1
say '             2. 'payment2
say '                'payment2a
say '             3. 'payment3
say '                'payment3a
say '                'payment3b
say '                'payment3c
say '             4. 'payment4
say '                'payment4a
parse pull i_PaymentBy
say

if i_PaymentBy = 1 then do
say 'Currency:    1. 'cash1
say '             2. 'cash2
parse pull i_Currency
say
end

say 'Delivery:    1. 'delivery1
say '             2. 'delivery2
parse pull i_Delivery
say

/* Write registration form */

outf = 'rffile'
if open(outf,regform,'W') then do
	call writeln(outf,'##    ## #####  ####  ##')
	call writeln(outf,' ##  ##  ##    ##     ##')
	call writeln(outf,'  ####   ####   ###   ##')
	call writeln(outf,'   ##    ##       ##')
	call writeln(outf,'   ##    ##### ####   ##    Please send me a key-file for MUIbase!')
	call writeln(outf,'___________________________________________________________________________' f.lf f.lf)
	call writeln(outf,'Name:       'i_Name f.lf)
	call writeln(outf,'Address:    'i_Addr1)
	call writeln(outf,'            'i_Addr2)
	call writeln(outf,'            'i_Addr3)
	call writeln(outf,'            'i_Addr4)
	call writeln(outf,'            'i_Addr5 f.lf)
	call writeln(outf,'Email:      'i_Email f.lf)
	call writeln(outf,'')

	if i_PaymentBy = 1 then do
		call writeln(outf,'Payment by: [X] 'payment1)
		if i_Currency = 1  then call writeln(outf,'                - 'cash1)
		if i_Currency = 2  then call writeln(outf,'                - 'cash2)
		call writeln(outf,'            [ ] 'payment2)
		call writeln(outf,'                'payment2a)
		call writeln(outf,'            [ ] 'payment3)
		call writeln(outf,'                'payment3a)
		call writeln(outf,'                'payment3b)
		call writeln(outf,'                'payment3c)
		call writeln(outf,'            [ ] 'payment4)
		call writeln(outf,'                'payment4a)
		end

	if i_PaymentBy = 2 then do
		call writeln(outf,'Payment by: [ ] 'payment1)
		call writeln(outf,'            [X] 'payment2)
		call writeln(outf,'                'payment2a)
		call writeln(outf,'            [ ] 'payment3)
		call writeln(outf,'                'payment3a)
		call writeln(outf,'                'payment3b)
		call writeln(outf,'                'payment3c)
		call writeln(outf,'            [ ] 'payment4)
		call writeln(outf,'                'payment4a)
		end

	if i_PaymentBy = 3 then do
		call writeln(outf,'Payment by: [ ] 'payment1)
		call writeln(outf,'            [ ] 'payment2)
		call writeln(outf,'                'payment2a)
		call writeln(outf,'            [X] 'payment3)
		call writeln(outf,'                'payment3a)
		call writeln(outf,'                'payment3b)
		call writeln(outf,'                'payment3c)
		call writeln(outf,'            [ ] 'payment4)
		call writeln(outf,'                'payment4a)
		end

	if i_PaymentBy = 4 then do
		call writeln(outf,'Payment by: [ ] 'payment1)
		call writeln(outf,'            [ ] 'payment2)
		call writeln(outf,'                'payment2a)
		call writeln(outf,'            [ ] 'payment3)
		call writeln(outf,'                'payment3a)
		call writeln(outf,'                'payment3b)
		call writeln(outf,'                'payment3c)
		call writeln(outf,'            [X] 'payment4)
		call writeln(outf,'                'payment4a)
		end

	call writeln(outf,f.lf)

	if i_Delivery = 1 then do
	call writeln(outf,'Delivery:   [X] 'delivery1)
	call writeln(outf,'            [ ] 'delivery2)
	end
	else do
	call writeln(outf,'Delivery:   [ ] 'delivery1)
	call writeln(outf,'            [X] 'delivery2)
	end

	call writeln(outf,f.lf)

	call writeln(outf,f.lf f.lf)
	call writeln(outf,'Registration date:' date() f.lf f.lf f.lf f.lf)
	call writeln(outf,'______________________________________')
	call writeln(outf,'signature' f.lf)
	call writeln(outf,'Thank you for registering MUIbase!' f.lf)
	call writeln(outf,'___________________________________________________________________________')
	call writeln(outf,'Steffen Gutmann     email: gutmann@ieee.org')
	call writeln(outf,'Orleanstr. 47')
	call writeln(outf,'81667 Munich')
	call writeln(outf,'GERMANY             WWW:   http://www.amigaworld.com/support/muibase')

say 'The registration form has been written to file 'f.bold''regform''f.norm'.'
say 'This file is a normal ASCII file, so you can edit it with a text'
say 'editor if necessary.'

say f.white f.slant
say 'Thank you for registering MUIbase!' f.norm f.black f.lf

end
else
	signal error_file

address command 'delete RAM:_regform.tmp >NIL:'

exit 0
/* MAIN PROGRAM ENDS HERE, PROCEDURES FOLLOW */

/* Failed when trying to write the registration form file */
error_file:
  say f.white f.bold
  say 'Can''t write file "'regform'".'
  say f.norm f.black
  exit 20


/* GetRes */
GetRes:
  if open(6Res, 'RAM:_regform.tmp', 'R') then do
	Res = readln(6Res)
	call close 6Res
  end
  else
	Res = ''
  return Res


/* GetLine */
GetLine:
  options prompt f.white''arg(1)'> 'f.black
  parse pull str
  options prompt f.white'> 'f.black
  return str
